﻿<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Number</title>
</head>

<body>
    <!--

    Все числа хранятся в формате float64 - 8 байт с плавающей точкой. 
    В этом формате не всегда возможны точные вычисления.
    https://metanit.com/go/tutorial/2.3.php

    
    Number.NaN - не число
    Number.POSITIVE_INFINITY - + бессконечность 1.7976931348623157E+10308
    Number.NEGATIVE_INFINITY - - бессконечность -1.7976931348623157E+10308

-->
    <p>Здесь располагается разметка</p>

    <script>

        var a = 10;
        var b = 0.8;
        var c = a + b;

        console.log("a + b = " + c);

        console.log("Number.NaN = " + Number.NaN);
        console.log("Number.POSITIVE_INFINITY = " + Number.POSITIVE_INFINITY );
        console.log("Number.NEGATIVE_INFINITY = " + Number.NEGATIVE_INFINITY);

    </script>
</body>

</html>